Virtuemart 2 released today
Written by Thomas Kahl   
Tuesday, 20 December 2011 15:09

Finally - and after more than two years of work and testing - Virtuemart 2.0 was released today. It seems that it has been a hard piece of work to completely refactor the most important ecommerce solution for Joomla!.

Imagine - when the development started, Joomla 1.5 was still up to date and the only goal was, to make Virtuemart MVC-compatible. In the meantime, Joomla 1.6 and 1.7 was released and 2.5 is coming in the next weeks. It wasn't easy to keep track with all the framework changes.

From today, the new version has to prove that it was worth the time. Though (and this is no secret) I personally would have preferred another way for Virtuemart 2, I wish the team all the best for this version! Virtuemart has to be an important component for Joomla. Virtuemart IS Joomla Ecommerce.

Again - congratulations to the Virtuemart-Team!

How to update from Virtuemart 1.1.x to 2.0

Unfortunately, this is no patch-package-update. It's a migration as we all know it from the major Joomla Upgrades - it means, that data has to be converted and themes have to be created as "Views". This can for some shop owners be hard work.

One of the biggest advantages of Virtuemart 2.0 is, that it is compatible with the recent Joomla-versions. So - it should be normal that existing shops should take the chance and also migrate their underlying Joomla version (which will mostly be 1.5.x).

At VM-Expert.com, we have installed nearly all of the previous Betas and RC's - so we know quite well how to migrate. Now, we will take some time to check all the final details and will (as soon as possible) publish a "best-practise" tutorial for the migration process.

What if you want to wait

There may be several reasons why a shop owner does to want to migrate or just want to wait with it. What happens with the current 1.1.9 version?

VM-Expert.com will continue to maintain the 1.1.x version of Virtuemart. That means, from January 2012 there will be updates and security patches for the "old" Virtuemart. The updates will be based on version 1.1.9 and will only support Joomla 1.5.x.

Does VM-Expert.com support Virtuemart 2.0?

Yes, with our time-based support products, you can buy also service and support for Virtuemart 2.0.

Trackback(0)
Comments (2)Add Comment

Write comment
smaller | bigger

security code
Write the displayed characters


busy
 

Blog Newsletter

Blog RSS-Feed Click here

Subscribe to our Blog Newsletter

Enter your email address:

Delivered by FeedBurner